> ## Documentation Index
> Fetch the complete documentation index at: https://docs-grosh.muathye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a expense



## OpenAPI

````yaml https://grosh.muathye.com/api/openapi.json get /budgeting/expenses/{id}
openapi: 3.1.0
info:
  title: Grosh API
  version: 1.0.0
  description: >-
    Contacts, Obligations, Budgeting, and Authentication API for the
    application.
servers:
  - url: https://grosh.muathye.com/api
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /budgeting/expenses/{id}:
    get:
      summary: Get a expense
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetTransaction'
components:
  schemas:
    BudgetTransaction:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
          enum:
            - expense
            - income
        date:
          type:
            - string
            - 'null'
          format: date
        currency_id:
          type: string
        currency_code:
          type:
            - string
            - 'null'
        base_currency_id:
          type: string
        base_currency_code:
          type:
            - string
            - 'null'
        category_id:
          type:
            - string
            - 'null'
        asset_account_id:
          type:
            - string
            - 'null'
        amount:
          type: number
        base_amount:
          type: number
        fx_rate:
          type: number
        is_locked:
          type: boolean
        lines:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              account_id:
                type: string
              account_name:
                type:
                  - string
                  - 'null'
              debit:
                type: number
              credit:
                type: number
              debit_base:
                type: number
              credit_base:
                type: number
              memo:
                type:
                  - string
                  - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: grosh-session

````